#include <iostream>

using namespace std;

void foo(int * a, int * b)
{
    *a = 5;
    *b = 7;
    cout << *a << "\n";
}

int main()
{
    int x, y, z;
    foo(&x, &y);
    foo(&z, &z);
    return 0;
}
